[blfs-support] PHP-5.5.3 configure issue

Pierre Labastie pierre.labastie at neuf.fr
Sat Mar 1 10:23:12 PST 2014


Le 01/03/2014 18:24, Alexey Orishko a écrit :
> Hi guys,
> 
> I'm building php from blfs-7.4 and configure failed with error:
> DBA: Could not find necessary header file(s).
> It looks the reason for the failure is "--with-gdbm " flag and a lack of QDBM.
> 
> Why is --with-gdbm flag used in php ./configure while QDBM package is
> not "required one" and configure fails without it?
> 
> In the php chapter QDBM is listed as
> "Optional Data Management Utilities and Libraries"
> no version provided neither a correct link to web site.
> 
> I got error - This site has been moved. Correct link is:
> http://fallabs.com/qdbm/
> 
> Regards,
> Alexey
> 
> PS. I didn't check upcoming 7.5 book
> 
GDBM (uppercase for gdbm), is built in LFS. We never mention LFS packages in
the dependencies. QDBM and GDBM are not the same.
If you have built LFS following the book, the error comes from something else.

You may look at config.log to know more.

Pierre



More information about the blfs-support mailing list